Skip to main content
GET
/
agents
List agents
curl --request GET \
  --url https://app.autoposting.ai/api-proxy/agents \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "agents": [
      {
        "id": "agent_01HXYZ",
        "name": "Daily LinkedIn Poster",
        "brandSlug": "acme-corp",
        "platforms": [
          "linkedin"
        ],
        "enabled": true,
        "lastRunAt": "2024-01-10T09:00:00Z",
        "nextRunAt": "2024-01-11T09:00:00Z"
      }
    ],
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

API key as Authorization: Bearer sk-social-...

Query Parameters

brandSlug
string

Filter agents by brand.

limit
integer
default:50

Items per page. Default: 50, max: 100.

Required range: x <= 100
offset
integer
default:0

Items to skip. Default: 0.

Response

A list of agents.

success
boolean
data
object